Skip to navigation

Get image metadata by ID

View as Markdown

Retrieves metadata for a specific image including dimensions, content type, size, and upload information. The imageId is an MD5 hash (32 character hex string) of the image content. Metadata is stored per chain.

Example Request:

GET /images/v1/chain/1/7af0a3950a162be27488d0c1f292f9ab/metadata

Path parameters

chainintegerRequired
The ID of the chain
idstringRequired

The image ID (MD5 hash, 32 character hex string)

Response

Image metadata retrieved successfully

Errors

404
Not Found Error